<template>
	<view class="presale">
		<view class="p" v-html="content"></view>
	</view>
</template>

<script>
	import * as Api from '@/api/help'
	export default {
		data() {
			return {
				content: ''
			}
		},
		onLoad(op) {
			this.getCarouselList()
		},
		onShow() {},
		methods: {
			// 获取预售规则
			getCarouselList(type) {
				const app = this;
				Api.getAgreement({
						type: 'invite_rule'
					})
					.then(result => {
						let content = result.data.detail.content;
						if(content){
							content = content.replace(/style=""/g,'').replace(/<img src=/g,'<img style="width: 100%; display:block" src=')
						}
						this.content = content
					})
					.finally(() => app.isLoading = false)
			},
		}
	}
</script>

<style lang="scss" scoped>
	.presale {
		padding: 40rpx;
		.p {
			font-size: 26rpx;
			line-height: 50rpx;
			color: #212121;
		}
	}
</style>
